=== debian/changelog ===
debian-guide-zh (0.6) unstable; urgency=low

  * Added "Chapter 4: Logging In" and "Chapter 6: Using the Shell",
    translated by CHEN Jian and converted to LaTeX by Kenneth Chin.
    Thanks a lot!  Only one more chapter to go!  :-)
  * Updated package description (now about 80% complete) and copyright
    (more authors and proofreaders).
  * Small revisions to the conversion Perl scripts.

 -- Anthony Fok <foka@debian.org>  Fri,  8 Dec 2000 01:06:01 -0700

debian-guide-zh (0.5.1) unstable; urgency=low

  * Minor fixes; cosmetic changes; 600 dpi instead of 360 dpi PostScript.

 -- Anthony Fok <foka@debian.org>  Fri,  6 Oct 2000 23:45:41 -0600

debian-guide-zh (0.5) unstable; urgency=low

  * Added chapters "Troubleshooting" and "Booting the System",
    translated by CHEN Jian and converted to LaTeX by Anthony Wong.
    Thanks a million!  :-)
  * Updated CHEN Jian's e-mail address.
  * Removed extra spaces placed after certain punctuation marks
    in the zh_CN version.

 -- Anthony Fok <foka@debian.org>  Fri,  6 Oct 2000 02:42:40 -0600

debian-guide-zh (0.4) unstable; urgency=low

  * Added "Chapter 3: Step by Step Installation", translated by
    LI Jianbing.  Thanks a million!  :-)
  * Updated hashao and Li Jianbing's e-mail addresses.
  * Added more zh_CN <-> zh_TW computer terms, e.g. "script", "mouse",
    "cursor", "screen".

 -- Anthony Fok <foka@debian.org>  Mon, 24 Jul 2000 06:48:21 -0600

debian-guide-zh (0.3) unstable; urgency=low

  * More revisions.  Special thanks to Jim Zh <snowboy909@yahoo.com>
    who proof-read the beginning chapters and sent me a list of
    corrections and revisions!  Also thanks to others for their input!
  * Removed a somewhat erroneous \underline{..} command in the zh_TW
    version.  It was causing some troubles with image generation.

 -- Anthony Fok <foka@debian.org>  Sat, 22 Jul 2000 11:48:43 -0600

debian-guide-zh (0.2.1) unstable; urgency=low

  * Oops, the "frame" version was actually without frame.  It seems
    that .latex2html-init overrided the command-line options.  Fixed.

 -- Anthony Fok <foka@debian.org>  Sun, 25 Jun 2000 09:11:42 -0600

debian-guide-zh (0.2) unstable; urgency=low

  * Fixed links to the Large Disk HOWTO (the obsolete Large Disk mini-HOWTO
    has finally been removed from www.linuxdoc.org).  Thanks to EsUaD
    of bbs.org.hk for letting me know.  :-)
  * s,metalab.unc.edu/LDP,www.linuxdoc.org,g;
  * Further localized the computer terms of the traditional and
    simplified Chinese versions by using things like <s<term>> and
    <t<term>>.
  * Added kludge to work around an annoying LaTeX2HTML bug that ignores
    "\/".  E.g. LaTeX2HTML happily interprets \texttt{drwxrwx-\/-\/-}
    as \texttt{drwxrwx---} and changes "---" into an em-dash ligature.
  * No longer includes coart.eps (the picture of a city with a river)
    in the Postscript version because it is making the Postscript files
    (and the .deb too big).  File a bug report if you want it back.  :-)
  * Added chinese{b5,gb}.perl and .latex2html-init so that Chinese titles
    are used in the HTML version.
  * Streamlined Makefile.
  * Renamed debian-tutorial*.* to debian-guide*.*.
  * Added Chinese (Big5 and GB) versions of GNU GPL.

 -- Anthony Fok <foka@debian.org>  Tue, 20 Jun 2000 02:54:29 -0600

debian-guide-zh (0.1) unstable; urgency=low

  * Initial Release.
  * Chinese version of John Goerzen and Ossama Othman's "debian-guide".
    Translated by the participants of the Debian Chinese Project.
    Status: About 50% translated.

 -- Anthony Fok <foka@debian.org>  Fri, 16 Jun 2000 08:21:18 -0600

Local variables:
mode: debian-changelog
End:
