=== debian/control ===
Build-Depends: debhelper (>= 2.0.72), cjk-latex, latex2html, gs, slice, zh-autoconvert, tfm-arphic-bsmi00lp, tfm-arphic-gbsn00lp
Source: debian-guide-zh
Section: doc
Priority: optional
Maintainer: Anthony Fok <foka@debian.org>
Standards-Version: 3.2.1

Package: debian-guide-zh-s
Architecture: all
Description: Debian GNU/Linux: Guide to Installation and Usage (Chinese GB)
 This package will install the simplified Chinese (GB) translation
 of the full text in HTML and PostScript formats from the book
 "Debian GNU/Linux: Guide to Installation and Usage" by Debian
 developers John Goerzen and Ossama Othman (ISBN 0-7357-0914-9).
 .
 The Chinese translation (about 80% completed as of December 2000)
 is a group effort of the participants of the Debian Chinese Project.
 .
 You can find the installed items under /usr/doc/debian-guide-zh-s.

Package: debian-guide-zh-t
Architecture: all
Description: Debian GNU/Linux: Guide to Installation and Usage (Chinese Big5)
 This package will install the traditional Chinese (Big5) translation
 of the full text in HTML and PostScript formats from the book
 "Debian GNU/Linux: Guide to Installation and Usage" by Debian
 developers John Goerzen and Ossama Othman (ISBN 0-7357-0914-9).
 .
 The Chinese translation (about 80% completed as of December 2000)
 is a group effort of the participants of the Debian Chinese Project.
 .
 You can find the installed items under /usr/doc/debian-guide-zh-t.
